Bug 259251 - lang/rust: Update to 1.56.0
Summary: lang/rust: Update to 1.56.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://reviews.freebsd.org/D32553
Keywords:
Depends on:
Blocks: 256581
  Show dependency treegraph
 
Reported: 2021-10-18 19:34 UTC by Tobias Kortkamp
Modified: 2021-10-25 09:05 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2021-10-18 19:34:21 UTC
Hi,

please do an exp-run for the Rust 1.56.0 update and some additional changes
to USES=cargo to fix bug #256581. Thanks.

https://reviews.freebsd.org/D32553
Comment 2 Antoine Brodin freebsd_committer 2021-10-25 08:08:21 UTC
Those 2 failures are fixed with the last version of the patch
Comment 3 commit-hook freebsd_committer 2021-10-25 08:58:39 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e0baedabf4e1cc6be9ece63dc78b1f43fd2bda78

commit e0baedabf4e1cc6be9ece63dc78b1f43fd2bda78
Author:     Tobias Kortkamp <tobik@FreeBSD.org>
AuthorDate: 2021-10-21 12:43:31 +0000
Commit:     Tobias Kortkamp <tobik@FreeBSD.org>
CommitDate: 2021-10-25 08:49:19 +0000

    www/firefox-esr: Unbreak build with Rust 1.56.0

    error[E0557]: feature has been removed
       --> /wrkdirs/usr/ports/www/firefox-esr/work/firefox-78.15.0/third_party/rust/packed_simd/src/lib.rs:202:41
        |
    202 | #![cfg_attr(use_const_generics, feature(const_generics))]
        |                                         ^^^^^^^^^^^^^^ feature has been removed
        |
        = note: removed in favor of `#![feature(adt_const_params]` and `#![feature(generic_const_exprs)]`

    http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-10-19_17h56m28s/logs/errors/firefox-esr-78.15.0_2,1.log

    PR:             259251

 www/firefox-esr/files/patch-rust-1.56.0 (new) | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
Comment 4 commit-hook freebsd_committer 2021-10-25 08:58:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ba8bb92c6189b1d08a0095137cb1ab0f610b9312

commit ba8bb92c6189b1d08a0095137cb1ab0f610b9312
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-10-19 06:37:06 +0000
Commit:     Tobias Kortkamp <tobik@FreeBSD.org>
CommitDate: 2021-10-25 08:49:18 +0000

    games/veloren: Unbreak with Rust 1.56.0

    error[E0557]: feature has been removed
       --> /wrkdirs/usr/ports/games/veloren/work/veloren-e4716147a7356eb13088e7d74ace3ccdcb5cd900/cargo-crates/packed_simd_2-0.3.5/src/lib.rs:215:5
        |
    215 |     const_generics,
        |     ^^^^^^^^^^^^^^ feature has been removed
        |
        = note: removed in favor of `#![feature(adt_const_params]` and `#![feature(generic_const_exprs)]`

    PR:             259251

 games/veloren/files/patch-rust-1.56 (new) | 64 +++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)
Comment 5 commit-hook freebsd_committer 2021-10-25 08:58:41 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fc2f1d2b164f4fca311e796b9bb3a78aa6dd4aa9

commit fc2f1d2b164f4fca311e796b9bb3a78aa6dd4aa9
Author:     Tobias Kortkamp <tobik@FreeBSD.org>
AuthorDate: 2021-10-20 11:44:24 +0000
Commit:     Tobias Kortkamp <tobik@FreeBSD.org>
CommitDate: 2021-10-25 08:49:19 +0000

    www/firefox: Unbreak build with Rust 1.56.0

    error[E0557]: feature has been removed
       --> /wrkdirs/usr/ports/www/firefox/work/firefox-93.0/third_party/rust/packed_simd/src/lib.rs:203:5
        |
    203 |     const_generics,
        |     ^^^^^^^^^^^^^^ feature has been removed
        |
        = note: removed in favor of `#![feature(adt_const_params]` and `#![feature(generic_const_exprs)]`

    http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-10-19_17h56m28s/logs/errors/firefox-93.0_2,2.log

    PR:             259251

 www/firefox/files/patch-rust-1.56.0 (new) | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
Comment 6 commit-hook freebsd_committer 2021-10-25 08:58:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=23e060019839c7630cf6ec5d089ee53a385fb245

commit 23e060019839c7630cf6ec5d089ee53a385fb245
Author:     Tobias Kortkamp <tobik@FreeBSD.org>
AuthorDate: 2021-10-18 20:53:02 +0000
Commit:     Tobias Kortkamp <tobik@FreeBSD.org>
CommitDate: 2021-10-25 08:49:18 +0000

    textproc/ripgrep: Unbreak with Rust 1.56.0

    error[E0557]: feature has been removed
       --> /wrkdirprefix/usr/ports/textproc/ripgrep/work/ripgrep-13.0.0/cargo-crates/packed_simd_2-0.3.5/src/lib.rs:215:5
        |
    215 |     const_generics,
        |     ^^^^^^^^^^^^^^ feature has been removed
        |
        = note: removed in favor of `#![feature(adt_const_params]` and `#![feature(generic_const_exprs)]`

    PR:             259251

 textproc/ripgrep/Makefile | 2 +-
 textproc/ripgrep/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 7 commit-hook freebsd_committer 2021-10-25 08:59:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=124261fa7deb972b647c686d2531bbba0a9a4223

commit 124261fa7deb972b647c686d2531bbba0a9a4223
Author:     Tobias Kortkamp <tobik@FreeBSD.org>
AuthorDate: 2021-10-18 16:38:55 +0000
Commit:     Tobias Kortkamp <tobik@FreeBSD.org>
CommitDate: 2021-10-25 08:46:49 +0000

    lang/rust: Update to 1.56.0

    - Drop codegen-units=1 again as it seems to negatively impact build
      time for some people [1]

    Changes:        https://blog.rust-lang.org/2021/10/21/Rust-1.56.0.html
    PR:             256099 [1]
    PR:             259251
    Reviewed by:    jbeich, mikael, pkubaj
    Exp-run by:     antoine
    Differential Revision:  https://reviews.freebsd.org/D32553

 Mk/Uses/cargo.mk                                   |   2 +-
 Mk/bsd.gecko.mk                                    |   4 +-
 lang/rust-bootstrap/Makefile                       |   2 +-
 lang/rust-bootstrap/distinfo                       |   6 +-
 lang/rust/Makefile                                 |  10 +-
 lang/rust/distinfo                                 | 102 ++++++++++-----------
 lang/rust/files/patch-src_bootstrap_install.rs     |   8 +-
 ...c_tools_cargo_src_cargo_util_toml_mod.rs (gone) |  22 -----
 ...h-compiler_rustc__target_src_spec_mod.rs (gone) |  10 --
 ...et_src_spec_powerpc__unknown__freebsd.rs (gone) |  27 ------
 .../powerpc/patch-src_bootstrap_native.rs (gone)   |  25 -----
 ..._src_unix_bsd_freebsdlike_freebsd_mod.rs (gone) |  12 ---
 ..._unix_bsd_freebsdlike_freebsd_powerpc.rs (gone) |  50 ----------
 .../patch-vendor_openssl__src_src_lib.rs (gone)    |  10 --
 14 files changed, 65 insertions(+), 225 deletions(-)
Comment 8 Tobias Kortkamp freebsd_committer 2021-10-25 09:05:13 UTC
Thanks.